## org.pentaho.reporting.libraries.formula.lvalues
Class TypeValuePair

    java.lang.Object
      org.pentaho.reporting.libraries.formula.lvalues.TypeValuePair

All Implemented Interfaces:
  java.io.Serializable

    public class TypeValuePair

extends java.lang.Object
implements java.io.Serializable

Creation-Date: 02.11.2006, 10:02:54

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`TypeValuePair(Type type, java.lang.Object value)`

Method Summary
`Type` `getType()`
`java.lang.Object` `getValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeValuePair

    public TypeValuePair(Type type,
                         java.lang.Object value)

Method Detail

### getType

    public Type getType()

### getValue

    public java.lang.Object getValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`